> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# category

> GenericMDOProvider reads MDO lists with default settings

## "category" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'category'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/category
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("category", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name              | StyleHint | ExtraInfo |
| -- | ----------------- | --------- | --------- |
| 1  | Customer          |           |           |
| 6  | Konkurent         |           |           |
| 5  | Lost Customer     |           |           |
| 10 | MarketingItem 2   |           |           |
| 2  | Potensiell kunde  |           |           |
| 7  | SaleItem 1        |           |           |
| 8  | SaleItem 2        |           |           |
| 4  | Samarbeidspartner |           |           |

## Related MDO Lists

* "categoryheadings"
* "categoryheadingswithallitem"
* "categoryheadingswithallitemwithnoselection"
* "categoryheadingswithnoselection"
* "categorywithallitem"
* "categorywithallitemwithnoselection"
* "categorywithnoselection"


## Related topics

- [Category](/en/automation/crmscript/reference/CRMScript.Native.Category.md)
- [Company category and category group](/en/lead/admin/add-company-category.md)
- [Request categories](/en/request/admin/category/index.md)
- [Category table](/en/database/tables/category.md)
- [NSCategory](/en/automation/crmscript/reference/CRMScript.NetServer.NSCategory.md)
- [Delete Category](/en/api/reference/restful/rest/list_category/delete-category.md)
